function draw_animated_bg(startx)
  if (amplitude <= 0) return
  startx = startx or 0
  fillp(0b0101101001011010)

  local color = 1
  -- vertical lines
  local t = t() + 10
  for i = startx - 1, 127, 9 do
    local a = sin(i * t / 512) * amplitude + 64
    local b = cos(i * t / 256) * amplitude + 64
    line(
      i,
      a,
      i,
      b,
      color
    )
  end

  -- horizontal lines
  for i = startx - 1, 127, 9 do
    local a = sin(i * t / 512) * amplitude + 64
    local b = cos(i * t / 256) * amplitude + 64
    line(
      a,
      i,
      b,
      i,
      color
    )
  end
end

function draw_bg_menu()
end